> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# visiblein

> Visible in list for web panels.

## "visiblein" MDO List

Visible in list for web panels.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.VisibleInProvider">VisibleInProvider</see> class.
The name of the MDO list is 'visiblein'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/visiblein
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("visiblein", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                    | StyleHint | ExtraInfo |
| -- | --------------------------------------- | --------- | --------- |
| 19 | Side panel                              |           |           |
| 23 | Toolbar                                 |           |           |
| 2  | Navigator button                        |           |           |
| 5  | Panel - Company card                    |           |           |
| 10 | Panel - Contact card                    |           |           |
| 7  | Panel - Project card                    |           |           |
| 9  | Panel - Sale card                       |           |           |
| 46 | Panel - Selection card                  |           |           |
| 13 | Panel - Web panel on SuperOffice button |           |           |
| 6  | Panel - Company screen section tab      |           |           |
| 67 | Panel - Contact screen section tab      |           |           |
| 8  | Panel - Project screen section tab      |           |           |
| 29 | Panel - Sale screen section tab         |           |           |
| 11 | Dialog - Dialog for follow-ups          |           |           |
| 12 | Dialog - Document dialog                |           |           |
| 48 | Dialog - Quote dialog                   |           |           |
| 52 | Dialog - Product dialog                 |           |           |
| 1  | Menu - Toolbox menu                     |           |           |
| 3  | Menu - View menu                        |           |           |

## Related MDO Lists

* "visibleinheadings"
* "visibleinheadingswithallitem"
* "visibleinheadingswithallitemwithnoselection"
* "visibleinheadingswithnoselection"
* "visibleinwithallitem"
* "visibleinwithallitemwithnoselection"
* "visibleinwithnoselection"


## Related topics

- [visibleinmenu](/en/api/mdo-providers/reference/visibleinmenu.md)
- [visibleintask](/en/api/mdo-providers/reference/visibleintask.md)
- [SuperOffice.WebApi.Data.WebPanelEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.WebPanelEntity.md)
- [SuperOffice.WebApi.Data.ExtAppEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ExtAppEntity.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
- [SuperOffice.WebApi.Agents.ListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ListAgent.md)
